sfcode An Online Competing and Development Environment

spdx-license-ids

A list of SPDX license identifiers

# Installation

Download JSON directly, or use npm:

npm install spdx-license-ids

# <a href="https://nodejs.org/">Node.js</a> API

## require('spdx-license-ids')

Type: `string[]`

All license IDs except for the currently deprecated ones.

const ids = require('spdx-license-ids');
//=> ['0BSD', 'AAL', 'ADSL', 'AFL-1.1', 'AFL-1.2', 'AFL-2.0', 'AFL-2.1', 'AFL-3.0', 'AGPL-1.0-only', ...]
ids.includes('BSD-3-Clause'); //=> true
ids.includes('CC-BY-1.0'); //=> true
ids.includes('GPL-3.0'); //=> false

## require('spdx-license-ids/deprecated')

Type: `string[]`

Deprecated license IDs.

const deprecatedIds = require('spdx-license-ids/deprecated');
//=> ['AGPL-1.0', 'AGPL-3.0', 'GFDL-1.1', 'GFDL-1.2', 'GFDL-1.3', 'GPL-1.0', 'GPL-2.0', ...]
deprecatedIds.includes('BSD-3-Clause'); //=> false
deprecatedIds.includes('CC-BY-1.0'); //=> false
deprecatedIds.includes('GPL-3.0'); //=> true

# License

Creative Commons Zero v1.0 Universal